function tstool_fig(NAME)

s=signal(NAME,'ascii');
view(s);

a=amutual(s,32);
figure;
view(a);

c=cao(s,8,4,3,1000);
figure;
view(c);

e=embed(s,3,4);
figure;
view(e);

figure;
view(corrsum(e,-1,0.05,40,32));

te=takens_estimator(e,-1,0.05,40);
disp(fprintf('Takens_estimator : %f',te));

figure;
view(largelyap(e,-1,300,40,2));